<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/cl_set_time"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    xmlns:tools="http://schemas.android.com/tools"
    tools:background="#666">

    <TextView
        android:id="@+id/tv_target_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:paddingBottom="@dimen/convert_20px"
        android:text="--05:00--"
        android:textColor="@color/color_fff"
        android:textSize="@dimen/convert_30px"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_dot_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:text=":"
        android:textColor="@color/color_E60012"
        android:textSize="@dimen/convert_72px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_target_time" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/tv_set_time_first"
        android:layout_width="@dimen/convert_120px"
        android:layout_height="@dimen/convert_90px"
        app:layout_constraintBottom_toBottomOf="@+id/tv_dot_time"
        app:layout_constraintEnd_toStartOf="@+id/tv_dot_time"
        app:layout_constraintTop_toTopOf="@+id/tv_dot_time" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/tv_set_time_second"
        android:layout_width="@dimen/convert_120px"
        android:layout_height="@dimen/convert_90px"
        app:layout_constraintBottom_toBottomOf="@+id/tv_dot_time"
        app:layout_constraintStart_toEndOf="@+id/tv_dot_time"
        app:layout_constraintTop_toTopOf="@+id/tv_dot_time" />

    <TextView
        android:id="@+id/tv_first_bottom"
        android:layout_width="@dimen/convert_400px"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="min"
        android:textColor="@color/color_E60012"
        android:textSize="@dimen/convert_30px"
        app:layout_constraintEnd_toEndOf="@+id/tv_set_time_first"
        app:layout_constraintStart_toStartOf="@+id/tv_set_time_first"
        app:layout_constraintTop_toBottomOf="@+id/tv_set_time_first" />

    <TextView
        android:id="@+id/tv_second_bottom"
        android:layout_width="@dimen/convert_400px"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="sec"
        android:textColor="@color/color_E60012"
        android:textSize="@dimen/convert_30px"
        app:layout_constraintEnd_toEndOf="@+id/tv_set_time_second"
        app:layout_constraintStart_toStartOf="@+id/tv_set_time_second"
        app:layout_constraintTop_toBottomOf="@+id/tv_set_time_second" />

</androidx.constraintlayout.widget.ConstraintLayout>